Summary: NIS/YP Server
URL: ftp://pc50.zrz.tu-berlin.de/pub/local
Name: ypserv
Version: 1.0.4
Release: 3
Copyright: GNU
Group: Networking/Daemons
ExcludeArch: axp
Source: ftp.lysator.liu.se:/pub/NYS/servers/ypserv-1.0.4.tar.gz
Patch0: ypserv.init-1.0.3.patch
Requires: portmap
Requires: tcp_wrappers
%description
ypserv is an implementation of the standard NIS/YP networking
protocol.  It allows network-wide distribution of hostname, username,
and other information databases

# This spec file taken from 
# <smurphy@stargate.bln.sub.org> Joerg Mertin's 1.0.3 package
# Changed /var/nis/securenets auth to TCP Wrappers,
# updated version

%prep
%setup
%patch0 -p1

%build
cp etc/README etc/README.etc
./configure --libexecdir=/usr/lib --enable-tcp-wrapper
make

%install
make install
mkdir -p /var/nis
install -m644 etc/ypserv.conf /etc
install -m755 etc/ypserv.init /etc/rc.d/init.d/ypserv.init
ln -sf ../init.d/ypserv.init /etc/rc.d/rc3.d/S65ypserv
ln -sf ../init.d/ypserv.init /etc/rc.d/rc0.d/K35ypserv

%post

# try to configure the Users yp_domaine
if [ -f /etc/sysconfig/network ]
    then 
    # Sourcing Network Configuration
    . /etc/sysconfig/network
    # Let's check what exists ...
    # domainname as NIS_DOMAIN doesnt exist
    if [ `domainname` = \(none\) ] && [ -z ${NIS_DOMAIN} ]
	then	
	exit 0
    fi 
fi

%files
%doc README README.secure INSTALL ChangeLog TODO
%doc etc/ypserv.conf etc/securenets etc/ypserv.init etc/README.etc
%config /etc/ypserv.conf
%config /var/nis
%config /etc/rc.d/init.d/ypserv.init
/etc/rc.d/rc3.d/S65ypserv
/etc/rc.d/rc0.d/K35ypserv
/usr/lib/yp/ypxfr
/usr/lib/yp/ypxfr_1perhour
/usr/lib/yp/ypxfr_2perday
/usr/lib/yp/ypxfr_1perday
/usr/lib/yp/makedbm
/usr/lib/yp/ypinit
/usr/lib/yp/revnetgroup
/usr/lib/yp/mknetid
/usr/sbin/yppush
/usr/sbin/ypserv
/usr/man/man5/ypserv.conf.5
/usr/man/man5/netgroup.5
/usr/man/man8/yppush.8
/usr/man/man8/ypserv.8
/usr/man/man8/ypinit.8
/usr/man/man8/revnetgroup.8
/usr/man/man8/ypxfr.8
/var/yp/Makefile
